Summary:	Userland scripts to control "laptop mode"
Name:		laptop-mode-tools
Version:	1.36
Release:	%mkrel 3
Source0:	http://www.samwel.tk/laptop_mode/tools/downloads/%{name}_%{version}.tar.gz
Patch1:		laptop-mode-tools-1.11-lsb.patch
License:	GPL
Group:		System/Kernel and hardware
Url:		http://www.samwel.tk/laptop_mode/laptop_mode
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	suspend-scripts < 1.9.2
Requires:	hdparm sdparm
Requires(post):	rpm-helper
Requires(preun):rpm-helper
BuildArch:	noarch

%description
Userland scripts to control "laptop mode" Laptop mode is a Linux
kernel feature that allows your laptop to save considerable power, by
allowing the hard drive to spin down for longer periods of time. This
package contains the userland scripts that are needed to enable laptop
mode.

%prep
%setup -q -n %{name}_%{version}
%patch1 -p1 -b .lsb

%install
rm -rf %{buildroot}
install -m755 usr/sbin/laptop_mode -D %{buildroot}%{_sbindir}/laptop_mode
cp usr/sbin/lm* %{buildroot}%{_sbindir}
install -m755 etc/init.d/laptop-mode -D %{buildroot}%{_initrddir}/laptop-mode
mkdir -p %{buildroot}%{_mandir}
cp -r man %{buildroot}%{_mandir}/man8
cp -r etc/laptop-mode %{buildroot}%{_sysconfdir}
cp -r etc/acpi %{buildroot}%{_sysconfdir}
cp -r etc/apm %{buildroot}%{_sysconfdir}

%post
%_post_service laptop-mode

%preun
%_preun_service laptop-mode

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/*
%dir %{_sysconfdir}/laptop-mode
%{_sysconfdir}/laptop-mode/*-start
%{_sysconfdir}/laptop-mode/*-stop
%dir %{_sysconfdir}/laptop-mode/*.d
%config(noreplace) %{_sysconfdir}/laptop-mode/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/laptop-mode/*.conf
%config(noreplace) %{_sysconfdir}/acpi/events/*
%attr(755,root,root) %{_sysconfdir}/acpi/actions/*
%{_sysconfdir}/apm
%{_initrddir}/*
%{_mandir}/man8/*


%changelog
* Tue Mar 25 2008 Olivier Blin <oblin@mandriva.com> 1.36-3mdv2008.1
+ Revision: 189843
- make sure acpid action scripts are executable

* Mon Mar 03 2008 Olivier Blin <oblin@mandriva.com> 1.36-2mdv2008.1
+ Revision: 177933
- rebuild to fix changelog

* Mon Mar 03 2008 Olivier Blin <oblin@mandriva.com> 1.36-1mdv2008.1
+ Revision: 177873
- 1.36 (defaults to ondemand on AC power)

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 1.35-2mdv2008.1
+ Revision: 166315
- do not require obsolete acpi service in initscript
- update URL

* Fri Jan 04 2008 Olivier Blin <oblin@mandriva.com> 1.35-1mdv2008.1
+ Revision: 144950
- remove unapplied HD_IDLE_TIMEOUT settings from spec
- 1.35
- remove LSB echo patch (fixed upstream)
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.32-2mdv2008.1
+ Revision: 128328
- kill re-definition of %%buildroot on Pixel's request


* Wed Feb 21 2007 Frederic Crozat <fcrozat@mandriva.com> 1.32-2mdv2007.0
+ Revision: 123991
- Patch2: revert initscript to 1.31 (don't use unexisting lsb function)
- Fix url

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 1.32-1mdv2007.1
+ Revision: 90182
- New version 1.2
  bunzipped patches
  drop patch0
- Import laptop-mode-tools

* Fri Jun 23 2006 Austin Acton <austin@mandriva.org> 1.31-2mdv2007.0
- bump default spindown to 2 min

* Thu Apr 20 2006 Austin Acton <austin@mandriva.org> 1.31-1mdk
- New release 1.31

* Thu Mar 23 2006 Austin Acton <austin@mandriva.org> 1.30-3mdk
- requires hdparm and sdparm

* Thu Mar 02 2006 Austin Acton <austin@mandriva.org> 1.30-2mdk
- add some missing files

* Thu Mar 02 2006 Austin Acton <austin@mandriva.org> 1.30-1mdk
- New release 1.30

* Wed Feb 22 2006 Austin Acton <austin@mandriva.org> 1.27-1mdk
- New release 1.27
- rediff patch0

* Sat Feb 11 2006 Austin Acton <austin@mandriva.org> 1.23-1mdk
- New release 1.23

* Thu Feb 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.22-2mdk
- add lm-profiler
- add apm events
- add man pages
- hrm, directories should probably rather be owned by suspend-scripts in stead..

* Thu Feb 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.22-1mdk
- 1.22
- %%mkrel
- regenerated P0
- own acpi dirs
- cosmetics

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.11-2mdk
- Patch1: LSB support in init script (from Andrey Borzenkov, #20526)

* Sun Dec 04 2005 Austin Acton <austin@mandriva.org> 1.11-1mdk
- New release 1.11
- remove patch, added upstream

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 1.10-2mdk
- add scaling_governor support

* Wed Aug 17 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.10-1mdk
- New release 1.10

* Sat Aug 13 2005 Frederic Lepied <flepied@mandriva.com> 1.09-2mdk
- provides acpi files
- call laptop_mode auto in reload|restart (bug #17454)

* Thu Aug 11 2005 Frederic Lepied <flepied@mandriva.com> 1.09-1mdk
- New release 1.09

* Fri Aug 05 2005 Frederic Lepied <flepied@mandriva.com> 1.08-1mdk
- initial packaging

